Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface AuthorType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AuthorTypeImpl

    public interface AuthorType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Author Type'. This represents the author person of the submission set or document entry instance.

See Also:
  IHE Technical Framework

  The following features are supported:

  - {@link org.eclipse.ohf.ihe.xds.metadata.AuthorType#getAuthorInstitution Author Institution}
  - {@link org.eclipse.ohf.ihe.xds.metadata.AuthorType#getAuthorPerson Author Person}
  - {@link org.eclipse.ohf.ihe.xds.metadata.AuthorType#getAuthorRole Author Role}
  - {@link org.eclipse.ohf.ihe.xds.metadata.AuthorType#getAuthorSpeciality Author Speciality}
  , `MetadataPackage.getAuthorType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAuthorInstitution()` Returns the value of the 'Author Institution' containment reference list.
`XCN` | `getAuthorPerson()` Returns the value of the 'Author Person' containment reference.
`org.eclipse.emf.common.util.EList` | `getAuthorRole()` Returns the value of the 'Author Role' attribute list.
`org.eclipse.emf.common.util.EList` | `getAuthorSpeciality()` Returns the value of the 'Author Speciality' attribute list.
`void` | `setAuthorPerson(XCN value)` Sets the value of the '`Author Person`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAuthorInstitution

    org.eclipse.emf.common.util.EList getAuthorInstitution()

  Returns the value of the 'Author Institution' containment reference list. The list contents are of type `XON`.

  Gets the institution(s) with which this author person is affiliated.

  Returns:
    the value of the 'Author Institution' containment reference list.
  See Also:
    `MetadataPackage.getAuthorType_AuthorInstitution()`

### getAuthorPerson

    XCN getAuthorPerson()

  Returns the value of the 'Author Person' containment reference.

  Gets the name and organization id of the author person.

  Returns:
    the value of the 'Author Person' containment reference.
  See Also:
    `setAuthorPerson(XCN)`, `MetadataPackage.getAuthorType_AuthorPerson()`

### setAuthorPerson

    void setAuthorPerson(XCN value)

  Sets the value of the '`Author Person`' containment reference. Sets the name and organization id of the author person.

  Parameters:
    `value` - the new value of the 'Author Person' containment reference.
  See Also:
    `getAuthorPerson()`

### getAuthorRole

    org.eclipse.emf.common.util.EList getAuthorRole()

  Returns the value of the 'Author Role' attribute list. The list contents are of type `String`.

  Gets the identified role(s) that this author person assumes in relation to the patient.

  Returns:
    the value of the 'Author Role' attribute list.
  See Also:
    `MetadataPackage.getAuthorType_AuthorRole()`

### getAuthorSpeciality

    org.eclipse.emf.common.util.EList getAuthorSpeciality()

  Returns the value of the 'Author Speciality' attribute list. The list contents are of type `String`.

  Gets the professional speciality/specialities of this author person.

  Returns:
    the value of the 'Author Speciality' attribute list.
  See Also:
    `MetadataPackage.getAuthorType_AuthorSpeciality()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD